// CSoundListMap.h: interface for the SoundListMap class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_CSOUNDLISTMAP_H__INCLUDED_)
#define _CSOUNDLISTMAP_H__INCLUDED_

#include <afxtempl.h>

class CSound;

class CSoundList : public CList<CSound*,CSound*>
{
public:
	CSoundList();
	virtual ~CSoundList();

	void RemoveSounds(BOOL removePlaying = TRUE);
};

class CSoundListMap : private CTypedPtrMap<CMapStringToPtr,CString,CSoundList*>
{
public:
	CSoundListMap();
	virtual ~CSoundListMap();

	CSound* AddBuffer(LPCTSTR soundName, CSound* sound);
	CSound* FindBuffer(LPCTSTR soundName);
	void RemoveSounds(BOOL removePlaying = TRUE);
	void RemoveSounds(LPCTSTR soundName, BOOL removePlaying = TRUE);
};
#endif // !defined(_CSOUNDLISTMAP_H__INCLUDED_)
